%define pkgname ultraviolet

Name: ruby-%pkgname
Version: 0.10.2
Release: alt1

Summary: Syntax highlighting engine based on Textpow
Group: Development/Ruby
License: MIT
Url: http://rubyforge.org/projects/ultraviolet/

Packager: Ruby Maintainers Team <ruby@packages.altlinux.org>

BuildArch: noarch

Source: %pkgname-%version.tar
Patch: %pkgname-%version-%release.patch

# Automatically added by buildreq on Thu Jul 31 2008 (-bi)
BuildRequires: rpm-build-ruby ruby-tool-setup

%description
Ultraviolet is a syntax highlighting engine based on Textpow.
Since it uses Textmate syntax files, it offers out of the box
syntax highlighting for more than 50 languages and 20 themes.

Ultraviolet is at the same time a stand-alone command line
utility and a Ruby library.

%prep
%setup -q -n %pkgname-%version
%patch -p1
cp %_datadir/ruby-setup/setup.rb .

%build
%ruby_config
%ruby_build
testrb -Ilib test

%install
mkdir -p %buildroot%_datadir/%pkgname
cp -dpR syntax render %buildroot%_datadir/%pkgname/
%ruby_install

%files
%doc History.txt README.txt
%_bindir/*
%_datadir/%pkgname
%ruby_sitelibdir/*

%changelog
* Thu Jul 31 2008 Sir Raorn <raorn@altlinux.ru> 0.10.2-alt1
- Built for Sisyphus

